@import "@/styles/variables";

$ease-in-out: cubic-bezier(0.645, 0, 0.355, 1);

.background-circle {
    width: 80px;
    height: 80px;
    position: absolute;
    inset: 0;
    margin: auto;
    border-radius: 50%;
    background: none;
    border: 8px solid $gray-300;
}

.spinner {
    width: 80px;
    height: 80px;
    position: absolute;
    inset: 0;
    margin: auto;
    animation: rotate-all 1s linear infinite;
}

.right-side,
.left-side {
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    overflow: hidden;
}

.left-side {
    left: 0;
}

.right-side {
    right: 0;
}

.bar {
    width: 100%;
    height: 100%;
    border-radius: 200px 0 0 200px;
    border: 8px solid $gray-700;
    position: relative;

    &::after {
        content: "";
        width: 8px;
        height: 8px;
        display: block;
        background: $gray-700;
        position: absolute;
        border-radius: 8px;
    }

    .right-side & {
        border-radius: 0 200px 200px 0;
        border-left: none;
        transform: rotate(-10deg);
        transform-origin: left center;
        animation: rotate-right 0.75s linear infinite alternate;

        &::after {
            bottom: -8px;
            left: -4px;
        }
    }

    .left-side & {
        border-right: none;
        transform: rotate(10deg);
        transform-origin: right center;
        animation: rotate-left 0.75s linear infinite alternate;

        &::after {
            bottom: -8px;
            right: -4px;
        }
    }
}

@keyframes rotate-left {
    to {
        transform: rotate(30deg);
    }

    from {
        transform: rotate(175deg);
    }
}

@keyframes rotate-right {
    from {
        transform: rotate(-175deg);
    }

    to {
        transform: rotate(-30deg);
    }
}

@keyframes rotate-all {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-360deg);
    }
}
